package com.xinelu.manage.vo.consultationInfo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.util.Date;

/**
 * 在线问诊-问诊信息对象 consultation_info
 *
 * @author xinelu
 * @date 2023-09-25
 */
@Data
public class ConsultationInfoVO extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 患者id
     */
    private Long patientId;

    /**
     * 患者名称
     */
    private String patientName;

    /**
     * 患者身份证号
     */
    private String cardNo;

    /**
     * 患者联系方式
     */
    private String phone;

    /**
     * 现住址所在地区
     */
    private String address;

    /**
     * 医生id(签约医生/专家)
     */
    private String doctorId;

    /**
     * 医生名称
     */
    private String doctorName;

    /**
     * 问诊类型，图文问诊：IMAGE_TEXT_CONSULTATION，视频问诊：VIDEO_CONSULTATION
     */
    private String consultationType;

    /**
     * 状态(1 未完成 ,2 已完成)
     */
    private Integer status;

    /**
     * 预约日期(视频问诊预约)，时间格式：yyyy-MM-dd
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date appointmentDate;

    /**
     * 预约开始时间点(视频问诊预约)，时间格式：HH:mm
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date appointmentStartTime;

    /**
     * 预约结束时间点(视频问诊预约)，时间格式：HH:mm
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date appointmentEndTime;

    /**
     * 视频问诊地址
     */
    private String videoUrl;

    /**
     * 问题简述
     */
    private String problemDescription;

    /**
     * 患者个体情况说明
     */
    private String situationDescription;

    /**
     * 问题描述
     */
    private String problemStatement;

    /**
     * 病历
     */
    private String medicalRecord;

    /**
     * 最近一次内容
     */
    private String content;
    /**
     * 内容类型
     */
    private String messageType;

    /**
     * 是否删除标识，0：否，1：是
     */
    private Integer delFlag;

    /**
     * 消息数量
     */
    private Integer messageCount;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("patientId", getPatientId())
                .append("patientName", getPatientName())
                .append("cardNo", getCardNo())
                .append("phone", getPhone())
                .append("address", getAddress())
                .append("doctorId", getDoctorId())
                .append("doctorName", getDoctorName())
                .append("consultationType", getConsultationType())
                .append("status", getStatus())
                .append("appointmentDate", getAppointmentDate())
                .append("appointmentStartTime", getAppointmentStartTime())
                .append("appointmentEndTime", getAppointmentEndTime())
                .append("videoUrl", getVideoUrl())
                .append("problemDescription", getProblemDescription())
                .append("situationDescription", getSituationDescription())
                .append("problemStatement", getProblemStatement())
                .append("medicalRecord", getMedicalRecord())
                .append("delFlag", getDelFlag())
                .append("messageCount", getMessageCount())
                .append("content", getContent())
                .append("messageType", getMessageType())
                .toString();
    }
}
